/payment-source-extended
Updates a payment source.
Authorization
API-Key token<token>
API key authentication via header (token)
In: header
Request Body
application/json
Response Body
application/json
curl -X PATCH "https://loading/./../api/v1/payment-source-extended/" \ -H "Content-Type: application/json" \ -d '{ "id": "unique_cuid_v2", "lastIdentifierChecked": "optional_identifier", "PaymentSourceConfig": { "rpcProviderApiKey": "rpc_provider_api_key", "rpcProvider": "Blockfrost" }, "AddPurchasingWallets": [ { "walletMnemonic": "wallet_mnemonic", "note": "note", "collectionAddress": "refunds_will_be_sent_to_this_address" } ], "AddSellingWallets": [ { "walletMnemonic": "wallet_mnemonic", "note": "note", "collectionAddress": "revenue_will_be_sent_to_this_address" } ], "RemovePurchasingWallets": [ { "id": "unique_cuid_v2" } ], "RemoveSellingWallets": [ { "id": "unique_cuid_v2" } ] }'{
"status": "success",
"data": {
"id": "cuid_v2_auto_generated",
"createdAt": "1970-01-20T20:00:36.260Z",
"updatedAt": "1970-01-20T20:00:36.260Z",
"network": "Mainnet",
"paymentType": "Web3CardanoV1",
"syncInProgress": true,
"smartContractAddress": "address_of_the_smart_contract",
"AdminWallets": [
{
"walletAddress": "wallet_address",
"order": 0
},
{
"walletAddress": "wallet_address",
"order": 1
},
{
"walletAddress": "wallet_address",
"order": 2
}
],
"feeRatePermille": 50,
"FeeReceiverNetworkWallet": {
"walletAddress": "wallet_address"
},
"lastCheckedAt": "1970-01-20T20:00:36.260Z",
"lastIdentifierChecked": "identifier",
"PaymentSourceConfig": {
"rpcProviderApiKey": "rpc_provider_api_key_blockfrost",
"rpcProvider": "Blockfrost"
},
"PurchasingWallets": [
{
"collectionAddress": null,
"note": "note",
"walletVkey": "wallet_vkey",
"walletAddress": "wallet_address",
"id": "unique_cuid_v2_auto_generated"
},
{
"collectionAddress": "send_refunds_to_this_address",
"note": "note",
"walletVkey": "wallet_vkey",
"walletAddress": "wallet_address",
"id": "unique_cuid_v2_auto_generated"
}
],
"SellingWallets": [
{
"collectionAddress": "null_will_use_selling_wallet_as_revenue_address",
"note": "note",
"walletVkey": "wallet_vkey",
"walletAddress": "wallet_address",
"id": "unique_cuid_v2_auto_generated"
},
{
"collectionAddress": "send_revenue_to_this_address",
"note": "note",
"walletVkey": "wallet_vkey",
"walletAddress": "wallet_address",
"id": "unique_cuid_v2_auto_generated"
}
]
}
}


